#
# spec file for package tgt (Version 0.9.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           tgt
BuildRequires:  libaio-devel openssl-devel perl-Config-General
Conflicts:      iscsitarget
Requires:       perl-Config-General
Url:            http://stgt.berlios.de
License:        GPLv2+
Group:          System/Daemons
PreReq:         %fillup_prereq %insserv_prereq
AutoReqProv:    on
Version:        0.9.0
Release:        3.2.1
Summary:        Generic Linux target framework (tgt)
Source:         %{name}-20080805.tar.bz2
Source1:        %{name}.init
Source2:        scsi_tgt_if.h
Source3:        %{name}.services
Patch1:         %{name}-0.9.0-update
Patch2:         %{name}-git-update
Patch3:         %{name}-fix-isns_attr_query
Patch4:         %{name}-fix-bogus-tlv-length-handling
Patch11:        %{name}-fix-build
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Linux target framework (tgt) aims to simplify various SCSI target
driver (iSCSI, Fibre Channel, SRP, etc) creation and maintenance.

Tgt consists of kernel modules, user-space daemon, and user-space
tools. Some target drivers uses all of them and some use only
user-space daemon and tools (i.e. they completely runs in user space).



Authors:
--------
    FUJITA Tomonori <fujita.tomonori@lab.ntt.co.jp>
    Mike Christie <michaelc@cs.wisc.edu>

%prep
%setup -n %{name}-20080805
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch11 -p1
cp %{S:2} usr

%build
cd usr
%ifarch ppc ppc64
%define backends ISCSI=1 FCP=1 FCOE=1 IBMVIO=1
%else
%define backends ISCSI=1 FCP=1 FCOE=1 
%endif
%{__make} OPTFLAGS="${RPM_OPT_FLAGS}" %{backends}

%install
cd usr
%{__make} DESTDIR=${RPM_BUILD_ROOT} install
cd ../scripts
install -vD -m 755 tgt-admin ${RPM_BUILD_ROOT}/usr/sbin/tgt-admin
install -vD -m 755 %{S:1} ${RPM_BUILD_ROOT}/etc/init.d/tgtd
ln -sf /etc/init.d/tgtd ${RPM_BUILD_ROOT}/usr/sbin/rctgtd
install -vD %{S:3} ${RPM_BUILD_ROOT}/etc/sysconfig/SuSEfirewall2.d/services/iscsitarget

%clean
rm -rf ${RPM_BUILD_ROOT}
rm -f filelist

%post
%{fillup_and_insserv tgtd}

%preun
%stop_on_removal

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
/usr/sbin/*
/etc/init.d/tgtd
%config %attr(0644,root,root) /etc/sysconfig/SuSEfirewall2.d/services/iscsitarget
%doc README doc/README.iscsi doc/TODO
%doc %{_mandir}/man8/*

%changelog
* Thu Aug  5 2010 hare@suse.de
- Fix isns_attr_query() and send_scn_rsp() buffer overflow
  (bnc#618574)
- Fix handling of bogus TLV length (bnc#618574)
- Use 'Conflicts: iscsitarget' instead of obsoleting it.
* Mon Sep 21 2009 dmueller@suse.de
- require perl-Config-General (bnc#474129)
- add rc-symlink (bnc#474136)
* Thu Oct  9 2008 hare@suse.de
- Update to latest upstream release 0.9.0
  * tgt-admin fixes
  * add null backing store
  * Improve iSER scheduling
  * Various small fixes
* Mon Sep 15 2008 hare@suse.de
- Include fixes from upstream:
  * Add support to update targets
  * tgtadm fixes
  * Add PREVENT ALLOW MEDIA REMOVAL to ssc
  * Add MANAGEMENT PROTOCOL IN to ssc
  * Update README
- Fix rpmlint errors
* Fri Aug  8 2008 hare@suse.de
- Update to latest released version 20080805
  * Include FCP backend
  * Include FCoE backend
  * Bugfixes
* Thu Aug  9 2007 olh@suse.de
- remove inclusion of linux/hash.h, include it directly
* Wed Apr  4 2007 hare@suse.de
- Added service definition for SUSEFirewall2 (#251679)
* Wed Apr  4 2007 hare@suse.de
- Initial version svn r849
- Update to latest git version
- Fixes for build on openSUSE
